Bug 239147 - bug: vararg function called true a wrong function pointer
bug: vararg function called true a wrong function pointer
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ufraw (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-05 06:22 EDT by Rafael Ávila de Espíndola
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 0.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-04 00:16:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch that is include in cvs (1009 bytes, patch)
2007-05-05 06:26 EDT, Rafael Ávila de Espíndola
no flags Details | Diff

  None (edit)
Description Rafael Ávila de Espíndola 2007-05-05 06:22:58 EDT
Description of problem:
The function ufraw_message is varargs, but it is passed to cmsSetErrorHandler
that expects a two argument function.

This bug is fixed is CVS. They have a new function:

int lcms_message(int ErrorCode, const char *ErrorText)
{
    /* Possible ErrorCode:
     * LCMS_ERRC_WARNING        0x1000
     * LCMS_ERRC_RECOVERABLE    0x2000
     * LCMS_ERRC_ABORTED        0x3000 */
    (void)ErrorCode;
    ufraw_message(UFRAW_ERROR, "%s", ErrorText);
    return 1; /* Tell lcms that we handled the error */
}

That is passed to cmsSetErrorHandler.

Version-Release number of selected component (if applicable):
0.11

How reproducible:
Create an error condition. Like setup an icc file and then move it. On amd64 the
program will crash when loading an image.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Rafael Ávila de Espíndola 2007-05-05 06:26:47 EDT
Created attachment 154198 [details]
patch that is include in cvs
Comment 2 Nils Philippsen 2007-05-24 12:51:25 EDT
I've build updated packages for fc6, f7 and devel.
Comment 3 Fedora Update System 2007-06-04 00:16:11 EDT
ufraw-0.11-8.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.